package com.kym.common.exception;

import com.kym.common.constant.IResponseCode;
import lombok.Getter;

/**
 * @author skyline
 * @description EN+推送数据数据异常
 * @date 2023-08-04 13:36
 */
@Getter
public class EnPushException extends RuntimeException {
    Integer code;
    String message;
    Object data;

    public EnPushException(IResponseCode responseEnum, Object data) {
        this.code = responseEnum.getCode();
        this.message = responseEnum.getMessage();
        this.data = data;
    }
}